Ansys.com


Risultati da 1 a 9 di 9
  1. #1
    Bannato
    Iscritto dal
    2007
    Messaggi
    1683
    Professione
    *
    Regione
    Lombardia
    Software
    AutoCAD

  2. #2

  3. #3
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    174
    Professione
    Disegnatore prefabbricati
    Regione
    Piemonte
    Software
    Autocad

    Predefinito

    Il comando ESPLODIG l'ho fatto io .... ma sinceramente non funziona bene ... ed ora ho scoperto il perchè: mi sono "addentrato" nelle "entità complesse" ma anzichè ottenere solo il codice dell'entità selezionata (il nome del gruppo), mi vengono dati anche altri nomi di gruppi presenti nel disegno: il risultato è che vengono esplosi non solo i gruppi selezionati, ma anche altri.
    Chiedo scusa .... e quando avrò un pò di tempo cercherò di porvi rimedio!

    Ciò non toglie che se da un disegno volete eliminare TUTTI i gruppi, questo comando fa degnamente il suo lavoro!

  4. #4
    Bannato
    Iscritto dal
    2007
    Messaggi
    1683
    Professione
    *
    Regione
    Lombardia
    Software
    AutoCAD

    Predefinito

    grazie per la precisazione,
    bello avere la partecipazione dell'autore :)

  5. #5
    Moderatore L'avatar di PlannerRoad
    Iscritto dal
    2007
    Messaggi
    4954
    Professione
    Variabile
    Regione
    Italia
    Software
    AutoCAD 2016

    Predefinito

    Citazione Originariamente Scritto da arri Visualizza Messaggio
    ...bello avere la partecipazione dell'autore :)
    Infatti, fa piacere! :)

  6. #6
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    174
    Professione
    Disegnatore prefabbricati
    Regione
    Piemonte
    Software
    Autocad

    Predefinito

    Grazie!!! Che accoglienza!!!
    Ne approfitto per chiedere a voi ed agli altri del forum, come si gestiscono queste maledette "Entità complesse": evidentemente il codice di gruppo 330 è una prima "Porta", ma non è quella giusta. Mi spiego: nel comando ESPLODIG, con il codice 330 sono arrivato ad un elenco di gruppi, ma non al gruppo che ho selezionato. Analogamente, se seleziono un blocco, trovo tutta una serie di entità .... ma non sono quelle che sono contenute nel blocco. Quest'ultima cosa, mi serve perchè voglio fare un comando che sia in grado di trovare un testo incluso in un blocco (per migliorare il mio comando TROVAT).
    Grazie

  7. #7
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1997
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    @x11start (alias CR),

    ho scaricato qualche anno fa il tuo lisp ESPLODIG, ma usando poco il comando GRUPPO non mi ero accorto del bug che hai segnalato.

    Sperando di fare cosa gradita, ho apportato alcune modifiche per risolvere il problema, e forse questa è anche la soluzione al quesito posto nel tuo ultimo post.


    Ma andiamo con ordine (dal codice del lisp):


    - Ho sostituito ssget con entsel al fine di selezionare il gruppo da esplodere.



    - Questa è la lista ent1 (singola entità interna), quello in rosso è il nome dell'entità (gruppo) assegnato nel database.

    ((-1 . <Nome entità: 7effba08>) (0 . "GROUP") (5 . "AC1") (102 . "{ACAD_REACTORS") (330 . <Nome entità: 7eff9c68>) (102 . "}") (330 . <Nome entità: 7eff9c68>) (100 . "AcDbGroup") (300 . "") (70 . 0) (71 . 1) (340 . <Nome entità: 7effb9d0>) (340 . <Nome entità: 7effb9c8>))



    - Questa è la lista ent2, dove sono elencati "tutti" i gruppi presenti nel disegno, ovvero PIPPO - PLUTO - TOPOLINO

    ((-1 . <Nome entità: 7eff9c68>) (0 . "DICTIONARY") (5 . "D") (102 . "{ACAD_REACTORS") (330 . <Nome entità: 7eff9c60>) (102 . "}") (330 . <Nome entità: 7eff9c60>) (100 . "AcDbDictionary") (280 . 0) (281 . 1) (3 . "PIPPO") (350 . <Nome entità: 7effb9f8>) (3 . "PLUTO") (350 . <Nome entità: 7effba08>) (3 . "TOPOLINO") (350 . <Nome entità: 7effba10>))


    Così come strutturato, il vecchio lisp non riusciva a catturare "esattamente" il gruppo selezionato. Per fare questo bisogna far scorrere gli elementi della lista (come nel caso dei vertici delle lwpolyline) per trovare il codice di gruppo 350 corrispondente al nome dell'entità singola selezionata, nel nostro caso 7effba08. Tale codice è sempre preceduto dal codice 3 relativo al "nome" del gruppo, nel nostro caso PLUTO.


    Puoi vedere la procedura all'interno del lisp.


    Un saluto

    .
    File Allegati File Allegati
    Ultima modifica di GP.; 28-04-2008 alle 10: 15

  8. #8
    Utente Standard
    Iscritto dal
    2008
    Messaggi
    174
    Professione
    Disegnatore prefabbricati
    Regione
    Piemonte
    Software
    Autocad

    Predefinito

    Citazione Originariamente Scritto da GP. Visualizza Messaggio
    @x11start (alias .....),

    ho scaricato qualche anno fa il tuo lisp ESPLODIG, ma usando poco il comando GRUPPO non mi ero accorto del bug che hai segnalato.

    Sperando di fare cosa gradita, ho apportato alcune modifiche per risolvere il problema, e forse questa è anche la soluzione al quesito posto nel tuo ultimo post.....

    .
    Grazie GP, proverò la tua versione di ESPLODIG con calma domani.

    PS
    Perchè hai scritto il mio vero nome: metti un pò che io volessi continuare a farmi chiamare X11START?
    Va bene ... non importa, mi hai aiutato e quindi ti perdono!
    Ultima modifica di x11start; 28-04-2008 alle 01: 23

  9. #9
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1997
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Citazione Originariamente Scritto da x11start Visualizza Messaggio

    Perchè hai scritto il mio vero nome...

    Hai ragione, ti chiedo scusa.

    Non ho dato tanta importanza alla cosa perchè chiunque avesse aperto il lisp l'avrebbe visto.



    Stami ben.


  • Discussioni Simili

    1. Creare blocchi anonimi non editabili
      Di joe nel forum AutoCAD
      Risposte: 4
      Ultimo Messaggio: 09-11-2014, 21: 27
    2. Eliminare geometria utilizzata per creare oggetti 3D
      Di mokir nel forum AutoCAD: Modellazione 3D e Rendering
      Risposte: 1
      Ultimo Messaggio: 01-07-2009, 17: 20
    3. Risposte: 8
      Ultimo Messaggio: 28-02-2008, 15: 14
    4. Creare velocemente layer numerati progressivamente
      Di arri nel forum Tips & Tricks per Autocad
      Risposte: 0
      Ultimo Messaggio: 01-02-2008, 12: 15

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  



    CAD3D.it - la community dei progettisti